| Version: 3.0.4

Public Member Functions | List of all members
wxTreeListItem Class Reference
Class List by Category » Controls

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/treelist.h>`

## Detailed Description

Unique identifier of an item in wxTreeListCtrl.

This is an opaque class which can't be used by the application in any other way than receiving or passing it to wxTreeListCtrl and checking for validity.

See also
  wxTreeListCtrl

##

Library: wxAdvanced

<>< =''>:</>&;&;< =''>\ </></>

Since
  2.9.3

## Public Member Functions
| wxTreeListItem ()
| Only the default constructor is publicly accessible. More...
bool | IsOk () const
| Return true if the item is valid. More...

## Constructor & Destructor Documentation

## ◆ wxTreeListItem()

wxTreeListItem::wxTreeListItem | ( |  | ) |

Only the default constructor is publicly accessible.

Default constructing a wxTreeListItem creates an invalid item.

## Member Function Documentation

## ◆ IsOk()

bool wxTreeListItem::IsOk | ( |  | ) | const

Return true if the item is valid.